osl::move_probability::KingRelativeY Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::KingRelativeY:

## Public Types

enum | { ONE_DIM = 17*PTYPE_SIZE*16 }

## Public Member Functions

| KingRelativeY ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 247 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |

Definition at line 251 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## KingRelativeY()

osl::move_probability::KingRelativeY::KingRelativeY | ( |  | ) |

inline

Definition at line 252 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), and ONE_DIM.

## Member Function Documentation

## match()

double osl::move_probability::KingRelativeY::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 255 of file move_probability/feature.h.

References osl::alt(), osl::Move::from(), osl::move_probability::SquareY::fromTo(), osl::Move::isDrop(), osl::Move::isPromotion(), osl::SimpleState::kingSquare(), osl::move_probability::MoveInfo::move, ONE_DIM, osl::move_probability::MoveInfo::player, osl::move_probability::StateInfo::progress8(), osl::Move::ptype(), osl::PTYPE_SIZE, osl::Square::squareForBlack(), osl::move_probability::StateInfo::state, osl::Move::to(), and osl::Square::y().

The documentation for this class was generated from the following file:

- move_probability/feature.h